export = createDbFromSchema;
/**
 * Create database from Schema Function
 * =============================================
 * @param {object} params - Single object params
 * @param {number|string|null} [params.userId] - User ID or null
 * @param {string} [params.targetDatabase] - User Database full name
 * @param {import("../types").DSQL_DatabaseSchemaType[]} [params.dbSchemaData]
 */
declare function createDbFromSchema({ userId, targetDatabase, dbSchemaData }: {
    userId?: number | string | null;
    targetDatabase?: string;
    dbSchemaData?: import("../types").DSQL_DatabaseSchemaType[];
}): Promise<void>;
